v_voip_packetizer56: xpacketizer56_intr.c File Reference

| v_voip_packetizer56 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xpacketizer56_intr.c File Reference

## Overview

This file contains interrupt related functions for Xilinx VoIP ST2022-6 Packetizer core.

Please see xpacketizer56.h for more details of the driver.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00   mmo   02/12/16 Initial release.

## Functions
void | XPacketizer56_IntrHandler (void *InstancePtr)
| This function is the interrupt handler for the VoIP ST2022-6 Packetizer driver. More...
int | XPacketizer56_SetCallback (XPacketizer56 *InstancePtr, XPacketizer56_HandlerType HandlerType, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function for the given HandlerType: More...

## Function Documentation

void XPacketizer56_IntrHandler | ( | void * | InstancePtr | ) |

This function is the interrupt handler for the VoIP ST2022-6 Packetizer driver.

This handler reads the pending interrupt from VoIP ST2022-6 Packetizer, determines the source of the interrupts, clears the interrupts and calls callbacks accordingly.

The application is responsible for connecting this function to the interrupt system. Application beyond this driver is also responsible for providing callbacks to handle interrupts and installing the callbacks using XPacketizer56_SetCallback() during initialization phase. An example delivered with this driver demonstrates how this could be done.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 instance that just interrupted.

Returns
  None.

Note
  None.

References XPacketizer56_ReadReg.

int XPacketizer56_SetCallback | ( | XPacketizer56 * | InstancePtr,
|  | XPacketizer56_HandlerType | HandlerType,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function for the given HandlerType:

    HandlerType                 Callback Function Type
    -------------------------   -----------------------------------------------

Parameters

  InstancePtr | is a pointer to the VoIP ST2022-6 Packetizer core instance.
  HandlerType | specifies the type of handler.
  CallbackFunc | is the address of the callback function.
  CallbackRef | is a user data item that will be passed to the callback function when it is invoked.

Returns
  - XST_SUCCESS if callback function installed successfully.
  - XST_INVALID_PARAM when HandlerType is invalid.

Note
  Invoking this function for a handler that already has been installed replaces it with the new handler.

References XPacketizer56::DatagramMismatchCallback, XPacketizer56::DatagramMismatchRef, and XPacketizer56::IsDatagramMismatchCallbackSet.